StreamBase C++ API 10.3.0.4

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sb::ClientSettings Class Reference

This class loads all the environment variables used by the C++ client API. More...

`#include <ClientSettings.hpp>`

## Public Member Functions
| ClientSettings (bool haModeOn)
| Loads all the client settings. More...
void | setOpenTimeout (const NMSTL::Time &tupleOpenTimeout)
| Set the timeout used when opening a binary connection. More...
NMSTL::Time | getOpenTimeout ()
| Get the timeout used when opening a connection. More...
NMSTL::Time | getWriteTimeout ()
| Get the timeout used when writing to a connection. More...
void | setWriteTimeout (const NMSTL::Time &tupleWriteTimeout)
| Set the timeout used when writing to a connection. More...
NMSTL::Time | getXmlRpcTimeout ()
| Get the timeout used when making an xmlrpc request. More...
void | setXmlRpcTimeout (const NMSTL::Time &xmlrpcTimeout)
| Set the timeout used when making an xmlrpc request. More...
NMSTL::Time | getReconnectSleep ()
| Get the amount of time to sleep between reconnect requests. More...
void | setReconnectSleep (const NMSTL::Time &reconnectSleep)
| Set the amount of time to sleep between reconnect requests. More...
NMSTL::Time | getHeartbeatTimeout ()
| Get the heart beat timeout. More...
void | setHeartbeatTimeout (const NMSTL::Time &heartbeatTimeout)
| Set the heart beat timeout. More...
NMSTL::Time | getExitStatusTimeout ()
| Get the timeout used when sending a request to the server to get the clients exit status. More...
void | setExitStatusTimeout (const NMSTL::Time &exitStatusTimeout)
| Set the timeout used when sending a request to the server to get the clients exit status. More...
unsigned int | getMaxInputPacketSize ()
| Get the maximum size of the input tuple in binary mode. More...
void | setMaxInputPacketSize (unsigned int maxInputPacketSize)
| Set the maximum size of the input tuple in binary mode. More...
bool | checkClientExitStatus ()
| Should we check the client exit status. More...
void | setMaxDequeuerQueueSize (unsigned int maxDequeuerQueueSize)
| Set the maximum number of tuples to be kept in the Dequeuer Thread's internal queue before applying back-pressure to the server. More...
void | setTcpNoDelay (bool tcpNoDelay)
| Enable/disable TCP_NO_DELAY. More...
bool | tcpNoDelay ()
| Is TCP_NODELAY set. More...
unsigned int | getMaxTupleBufferCacheSize ()
unsigned int | getMaxDequeuerQueueSize ()

## Detailed Description

This class loads all the environment variables used by the C++ client API.

It uses a global static object to do the work.

## Constructor & Destructor Documentation

sb::ClientSettings::ClientSettings | ( | bool | haModeOn | ) |

Loads all the client settings.

## Member Function Documentation

bool sb::ClientSettings::checkClientExitStatus | ( |  | ) |
| inline

Should we check the client exit status.

Returns
  if we should check the client exit status

NMSTL::Time sb::ClientSettings::getExitStatusTimeout | ( |  | ) |
| inline

Get the timeout used when sending a request to the server to get the clients exit status.

Returns
  Time (in milliseconds) of the time to wait for the clients exit status

NMSTL::Time sb::ClientSettings::getHeartbeatTimeout | ( |  | ) |
| inline

Get the heart beat timeout.

Returns
  Time (in milliseconds) the tuple quiesent timeout

unsigned int sb::ClientSettings::getMaxInputPacketSize | ( |  | ) |
| inline

Get the maximum size of the input tuple in binary mode.

Returns
  max size of the input tuple (in bytes)

NMSTL::Time sb::ClientSettings::getOpenTimeout | ( |  | ) |
| inline

Get the timeout used when opening a connection.

Returns
  Time (in milliseconds) that the tuple i/o will wait before assuming the server is down.

NMSTL::Time sb::ClientSettings::getReconnectSleep | ( |  | ) |
| inline

Get the amount of time to sleep between reconnect requests.

Returns
  Time (in milliseconds) to sleep between reconnect timeouts in the event that the TupleConnection is disconnected from its server.

NMSTL::Time sb::ClientSettings::getWriteTimeout | ( |  | ) |
| inline

Get the timeout used when writing to a connection.

Returns
  Time (in milliseconds) that the tuple i/o will wait before assuming the server is down.

NMSTL::Time sb::ClientSettings::getXmlRpcTimeout | ( |  | ) |
| inline

Get the timeout used when making an xmlrpc request.

Returns
  Time (in milliseconds) that the tuple i/o will wait before assuming the server is down.

void sb::ClientSettings::setExitStatusTimeout | ( | const NMSTL::Time & | exitStatusTimeout | ) |
| inline

Set the timeout used when sending a request to the server to get the clients exit status.

Parameters

  exitStatusTimeout | new value (in milliseconds) for the exit status timeout

void sb::ClientSettings::setHeartbeatTimeout | ( | const NMSTL::Time & | heartbeatTimeout | ) |
| inline

Set the heart beat timeout.

Parameters

  heartbeatTimeout | new value (in milliseconds) for the heartbeat timeout

void sb::ClientSettings::setMaxDequeuerQueueSize | ( | unsigned int | maxDequeuerQueueSize | ) |
| inline

Set the maximum number of tuples to be kept in the Dequeuer Thread's internal queue before applying back-pressure to the server.

Parameters

  maxDequeuerQueueSize | maximum number of tuples to allow to wait in the Dequeuer Thread's internal queue before blocking dequeues from the server.

void sb::ClientSettings::setMaxInputPacketSize | ( | unsigned int | maxInputPacketSize | ) |
| inline

Set the maximum size of the input tuple in binary mode.

Parameters

  maxInputPacketSize | new value (in milliseconds) for the maxInputPacket size

void sb::ClientSettings::setOpenTimeout | ( | const NMSTL::Time & | tupleOpenTimeout | ) |
| inline

Set the timeout used when opening a binary connection.

Parameters

  tupleOpenTimeout | new value (in milliseconds) for the tuple open timeout

void sb::ClientSettings::setReconnectSleep | ( | const NMSTL::Time & | reconnectSleep | ) |
| inline

Set the amount of time to sleep between reconnect requests.

Parameters

  reconnectSleep | new value (in milliseconds) for reconnect sleep

void sb::ClientSettings::setTcpNoDelay | ( | bool | tcpNoDelay | ) |
| inline

Enable/disable TCP_NO_DELAY.

Parameters

  tcpNoDelay | enable/disable TCP_NO_DELAY

void sb::ClientSettings::setWriteTimeout | ( | const NMSTL::Time & | tupleWriteTimeout | ) |
| inline

Set the timeout used when writing to a connection.

Parameters

  tupleWriteTimeout | new value (in milliseconds) for the tuple write timeout

void sb::ClientSettings::setXmlRpcTimeout | ( | const NMSTL::Time & | xmlrpcTimeout | ) |
| inline

Set the timeout used when making an xmlrpc request.

Parameters

  xmlrpcTimeout | new value (in milliseconds) for the xmlrpc request timeout

bool sb::ClientSettings::tcpNoDelay | ( |  | ) |
| inline

Is TCP_NODELAY set.

Returns
  if tcpNoDealy set

The documentation for this class was generated from the following file:

- ClientSettings.hpp